%define	major 0
%define libname	%mklibname rpcsecgss %{major}

Summary:	Allows secure rpc communication using the rpcsec_gss protocol
Name:		librpcsecgss%{major}
Version:	0.5
Release:	1mdk
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/librpcsecgss-%{version}.tar.bz2
BuildRequires:	krb5-devel >= 1.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

%if %{_lib} != lib
%package -n	%{libname}
Summary:	Allows secure rpc communication using the rpcsec_gss protocol
Group:		System/Libraries

%description -n	%{libname}
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.
%endif

%package -n	%{libname}-devel
Summary:	Static library and header files for the librpcsecgss library
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	librpcsecgss-devel rpcsecgss-devel

%description -n	%{libname}-devel
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

This package contains the static librpcsecgss library and its
header files.

%prep

%setup -q -n librpcsecgss-%{version}

# lib64 fix
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

%build

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_includedir}/rpc

%makeinstall_std

install -m0644 include/rpc/*.h %{buildroot}%{_includedir}/rpc/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files  -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/rpc
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdk
- 0.5
- fix naming
- lib64 fixes
- drop P0 as it's not needed anymore
- major is zero now

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package
